import { Component } from '@angular/core';
import { IonicModule, ModalController } from '@ionic/angular';
import { DateTimeComponent } from '../date-time/date-time.component';
import { IonIcon } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  imports:[IonicModule],
  standalone:true
})
export class Tab1Page {
  constructor(private modalCtrl: ModalController) {}

  async showDatePicker() {
    const modal = await this.modalCtrl.create({
      component: DateTimeComponent,
      cssClass: 'date-time-modal'
    });
    await modal.present();
  }
}
